Retrieve an Upload request
Return the details of an Upload request and its phone numbers.
GET
/
external_connections
/
{id}
/
uploads
/
{ticket_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const upload = await client.externalConnections.uploads.retrieve(
'7b6a6449-b055-45a6-81f6-f6f0dffa4cc6',
{ id: '1293384261075731499' },
);
console.log(upload.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
upload = client.external_connections.uploads.retrieve(
ticket_id="7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
id="1293384261075731499",
)
print(upload.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
upload, err := client.ExternalConnections.Uploads.Get(
context.TODO(),
"7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
telnyx.ExternalConnectionUploadGetParams{
ID: "1293384261075731499",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", upload.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.externalconnections.uploads.UploadRetrieveParams;
import com.telnyx.sdk.models.externalconnections.uploads.UploadRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
UploadRetrieveParams params = UploadRetrieveParams.builder()
.id("1293384261075731499")
.ticketId("7b6a6449-b055-45a6-81f6-f6f0dffa4cc6")
.build();
UploadRetrieveResponse upload = client.externalConnections().uploads().retrieve(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
upload = telnyx.external_connections.uploads.retrieve(
"7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
id: "1293384261075731499"
)
puts(upload)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$upload = $client->externalConnections->uploads->retrieve(
'7b6a6449-b055-45a6-81f6-f6f0dffa4cc6', id: '1293384261075731499'
);
var_dump($upload);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-connections:uploads retrieve \
--api-key 'My API Key' \
--id 1293384261075731499 \
--ticket-id 7b6a6449-b055-45a6-81f6-f6f0dffa4cc6curl --request GET \
--url https://api.telnyx.com/v2/external_connections/{id}/uploads/{ticket_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"ticket_id": "542c3bca-d247-42bc-8fe7-e01d16ecd761",
"tenant_id": "ea175aba-f47c-4702-9400-efaa42688048",
"location_id": "c37e5036-1e87-42e6-86a2-b3e8dd39a2ad",
"status": "error",
"available_usages": [],
"error_code": "<string>",
"error_message": "<string>",
"tn_upload_entries": [
{
"number_id": "542c3bca-d247-42bc-8fe7-e01d16ecd761",
"phone_number": "<string>",
"status": "error",
"error_code": "internal_error",
"error_message": "<string>",
"civic_address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"internal_status": "error"
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies the resource.
Example:
"1293384261075731499"
Identifies an Upload request
Example:
"7b6a6449-b055-45a6-81f6-f6f0dffa4cc6"
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const upload = await client.externalConnections.uploads.retrieve(
'7b6a6449-b055-45a6-81f6-f6f0dffa4cc6',
{ id: '1293384261075731499' },
);
console.log(upload.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
upload = client.external_connections.uploads.retrieve(
ticket_id="7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
id="1293384261075731499",
)
print(upload.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
upload, err := client.ExternalConnections.Uploads.Get(
context.TODO(),
"7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
telnyx.ExternalConnectionUploadGetParams{
ID: "1293384261075731499",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", upload.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.externalconnections.uploads.UploadRetrieveParams;
import com.telnyx.sdk.models.externalconnections.uploads.UploadRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
UploadRetrieveParams params = UploadRetrieveParams.builder()
.id("1293384261075731499")
.ticketId("7b6a6449-b055-45a6-81f6-f6f0dffa4cc6")
.build();
UploadRetrieveResponse upload = client.externalConnections().uploads().retrieve(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
upload = telnyx.external_connections.uploads.retrieve(
"7b6a6449-b055-45a6-81f6-f6f0dffa4cc6",
id: "1293384261075731499"
)
puts(upload)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$upload = $client->externalConnections->uploads->retrieve(
'7b6a6449-b055-45a6-81f6-f6f0dffa4cc6', id: '1293384261075731499'
);
var_dump($upload);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-connections:uploads retrieve \
--api-key 'My API Key' \
--id 1293384261075731499 \
--ticket-id 7b6a6449-b055-45a6-81f6-f6f0dffa4cc6curl --request GET \
--url https://api.telnyx.com/v2/external_connections/{id}/uploads/{ticket_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"ticket_id": "542c3bca-d247-42bc-8fe7-e01d16ecd761",
"tenant_id": "ea175aba-f47c-4702-9400-efaa42688048",
"location_id": "c37e5036-1e87-42e6-86a2-b3e8dd39a2ad",
"status": "error",
"available_usages": [],
"error_code": "<string>",
"error_message": "<string>",
"tn_upload_entries": [
{
"number_id": "542c3bca-d247-42bc-8fe7-e01d16ecd761",
"phone_number": "<string>",
"status": "error",
"error_code": "internal_error",
"error_message": "<string>",
"civic_address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"internal_status": "error"
}
]
}
}